Retrieve all jobs - Writer AI Studio
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --location --request GET https://api.writer.com/v1/applications/{application_id}/jobs \
--header "Authorization: Bearer <token>"
Python Example
import os
from writerai import Writer
client = Writer(
api_key=os.environ.get("WRITER_API_KEY"), # This is the default and can be omitted
)
page = client.applications.jobs.list(
application_id="application_id",
)
page = page.result[0]
print(page.id)
JavaScript Example
import Writer from 'writer-sdk';
const client = new Writer({
apiKey: process.env['WRITER_API_KEY'], // This is the default and can be omitted
});
async function main() {
// Automatically fetches more pages as needed.
for await (const applicationGenerateAsyncResponse of client.applications.jobs.list('application_id')) {
console.log(applicationGenerateAsyncResponse.id);
}
}
main();
Response Example
{
"result": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"data": {
"suggestion": "<string>",
"title": "<string>"
},
"error": "<string>"
}
],
"totalCount": 123,
"pagination": {
"offset": 123,
"limit": 123
}
}
Application Details
No-code applications are now called no-code agents. The Applications API, which you can use to programmatically interact with no-code agents, still uses the term application to minimize breaking changes.
Authorizations
Authorization
- Type: string
- Location: header
- Required: Yes
- Format: Bearer authentication header of the form
Bearer <token>, where<token>is your Writer API key.
Path Parameters
- application_id: string (required) - The ID of the no-code app for which to retrieve jobs.
Query Parameters
- status: enum
- The status of the job. - Available options:
in_progress,failed,completed
- Available options:
- offset: integer
- The pagination offset for retrieving the jobs. - limit: integer
- The pagination limit for retrieving the jobs.
Response
200 - application/json
- result: get_async_application_job_response · object[] (required)
- totalCount: integer
- The total number of jobs associated with the application. - pagination: object